﻿@model StarterProjectV2.ViewModels.UserList

@{
    ViewData["Title"] = "User Details Management";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
}


@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    User Details Management
}
@*<div class="alert alert-danger alert-dismissible fade show" id="alert-box" style="display: none" role="alert">
        <strong>You must give the user some privileges.</strong> Click the cross button to dismiss the message.
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>*@

<style>
    /*#dtBasicExample {
        background: red !important;
    }
    @@media print {
        #dtBasicExample{
            background:red !important;
        }
    }*/
    /* print styles */
    @@media print {
        #dtBasicExample thead {
            background: blue !important;
            color: black !important;
            -webkit-print-color-adjust: exact !important;
        }
    }
</style>

<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

<div class="card" style="margin-bottom: 0">

    <div class="table-responsive-lg">
        <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
            <thead style="color: white; background-color:#315152">

                <tr>
                    <th scope="col">User Name</th>
                    <th scope="col">View</th>
                    <th scope="col">Edit</th>
                    <th scope="col"> Delete</th>
                </tr>
            </thead>
            <tbody>
                @{
                    int noOfdata = Model.UserDetailsList.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var us in Model.UserDetailsList)
                    {
                        <tr>
                            <td>@us.UserName</td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="View"
                                        onclick="location.href = '@Url.Action("UserDetailsView", "UserDetails", new { UserName = us.UserName })'">
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Edit"
                                        onclick="location.href = '@Url.Action("UserDetailsEdit", "UserDetails", new { UserName = us.UserName })'">
                                    <i class="icon-notebook">
                                    </i>
                                </button>
                            </td>
                            <td>
                                @using (Html.BeginForm("UserDetailsDelete", "UserDetails", new { UserName = us.UserName }, FormMethod.Post))
                                {
                                    <button type="submit" disabled
                                            class="btn btn-light"
                                            data-toggle="tooltip"
                                            data-placement="bottom"
                                            title="Delete" onclick="return confirm('Are you sure?')">
                                        <i class="icon-trash">
                                        </i>
                                    </button>
                                }
                            </td>

                        </tr>
                    }
                }
            </tbody>
        </table>
    </div>
</div>

@{
    int NoOfPage = Model.noOfPage;
}
@if (NoOfPage != 0)
{

    <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center flex-wrap">
                @{
                    int prev_idx = Model.index - 1;
                }
                <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.noOfPage)">« Previous</a></li>
                @{
                    int idx = Model.index;
                    int next_idx = Model.index + 1;
                    int noOfPage = Model.noOfPage;
                    if (noOfPage < 10)
                    {
                        for (int i = 1; i <= noOfPage; i++)
                        {
                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                        }
                    }
                    else
                    {
                        if (idx <= 5)
                        {
                            if (noOfPage < 10)
                            {
                                for (int i = 1; i <= noOfPage; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                for (int i = 1; i <= 10; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                        }
                        else if (idx > 5 && idx <= (noOfPage - 5))
                        {
                            for (int i = idx - 4; i <= idx + 5; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }
                        }
                        else
                        {
                            for (int i = noOfPage - 9; i <= noOfPage; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }

                        }
                    }
                }
                <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfPage)">Next »</a></li>
                <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.noOfPage)">Last »</a></li>
            </ul>
        </nav>

    </div>

}
<script>
    $("#" + @Model.index).addClass("active");
</script>
<script>
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "UserDetailsPagination?index=" + i;
        }
    }
</script>
<script>
    function next(i, n) {
        if (i <= n) {
            window.location.href = "UserDetailsPagination?index=" + i;
        }
    }
</script>
<script>
    function paginationPureJS(i) {

        window.location.href = "UserDetailsPagination?index=" + i;
    }
</script>
@*<script>*@
@*function pagination() {
            $('table.paginated1').each(function () {
                var $table = $(this);
                var itemsPerPage = 10;
                var currentPage = 0;
                var pages = Math.ceil($table.find("tr:not(:has(th))").length / itemsPerPage);
                $table.bind('repaginate', function () {
                    if (pages > 1) {
                        var pager;
                        if ($table.next().hasClass("pager"))
                            pager = $table.next().empty(); else
                            pager = $('<div class="pager" id="pager1" style="padding-top: 20px; direction:ltr; display:block;" align="center"></div>');

                        $('<button class="btn btn-primary"></button>').text(' « First ').bind('click', function () {
                            currentPage = 0;
                            $table.trigger('repaginate');
                        }).appendTo(pager);

                        $('<button class="btn btn-primary"> « Prev </button>').bind('click', function () {
                            if (currentPage > 0)
                                currentPage--;
                            $table.trigger('repaginate');
                        }).appendTo(pager);

                        var startPager = currentPage > 2 ? currentPage - 2 : 0;
                        var endPager = startPager > 0 ? currentPage + 3 : 5;
                        if (endPager > pages) {
                            endPager = pages;
                            startPager = pages - 5; if (startPager < 0)
                                startPager = 0;
                        }

                        for (var page = startPager; page < endPager; page++) {
                            $('<button id="pg' + page + '" class="btn btn-primary ' + (page == currentPage ? 'active' : '') + '"></button>').text(page + 1).bind('click', {
                                newPage: page
                            }, function (event) {
                                currentPage = event.data['newPage'];
                                $table.trigger('repaginate');
                            }).appendTo(pager);
                        }

                        $('<button class="btn btn-primary "> Next » </button>').bind('click', function () {
                            if (currentPage < pages - 1)
                                currentPage++;
                            $table.trigger('repaginate');
                        }).appendTo(pager);
                        $('<button class="btn btn-primary "> Last » </button>').bind('click', function () {
                            currentPage = pages - 1;
                            $table.trigger('repaginate');
                        }).appendTo(pager);

                        if (!$table.next().hasClass("pager"))
                            pager.insertAfter($table);
                        //pager.insertBefore($table);

                    }// end $table.bind('repaginate', function () { ...

                    $table.find(
                        'tbody tr:not(:has(th))').hide().slice(currentPage * itemsPerPage, (currentPage + 1) * itemsPerPage).show();
                });

                $table.trigger('repaginate');
            });
        }
    </script>*@
@*<script>
        pagination()
    </script>*@

<script>
    var flg = "@Model.flg";
    //alert(flg.length);
    if (flg.length==5) {
        //alert("ggg");
        document.getElementById("alert-box").style.display = "block";
    }
</script>

<script>
    $(document).ready(function() {
        var taskRoles = "@Model.TaskRoles";
        if (taskRoles[0] == '0') {
            $('table tr').find('td:eq(0),th:eq(0)').remove();
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(0),th:eq(0)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(0),th:eq(0)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            }
        } else {
            if (taskRoles[3] == '0') {
                $('table tr').find('td:eq(1),th:eq(1)').remove();
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(1),th:eq(1)').remove();
                }
            } else {
                if (taskRoles[4] == '0') {
                    $('table tr').find('td:eq(2),th:eq(2)').remove();
                }
            }
        }
        if (taskRoles[1] == '0') {
            $("#newItem").remove();
        }
    });
</script>


<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });


    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("UserDetailsCreate", "UserDetails")';
        });

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#reportItem").remove();
        $("#dashboardItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        @*$("#dashboardItem").click(function() {
            //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
        });
        $("#reportItem").click(function() {
            document.location = '@Url.Action("UserDetailsReport", "UserDetails")';
        });*@
    });
</script>
<script>

    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>